Subject: IETF Testing Procedures

From: Jim Fleming <[email-masked]>
Date: Tue, 3 Feb 1998 10:10:56 -0600

On Tuesday, February 03, 1998 2:33 AM, William Allen Simpson[SMTP:[email-masked]] wrote:
@> From: Gordon Cook <[email-masked]>
<snip>
@> 	Cook: I would like to ask Jon then how he considers his
@> 	unannounced action of late last Wednesday in diverting eight
@> 	of root servers to point to his B server at ISI on the eve of the
@> 	publication of the green paper to be equivalent to a constructive
@> 	dialogue?
@>
@Unannounced?  Gosh, the timing has been on the gTLD-MoU pages for months.
@
@It is the green paper that "serendipitously" appeared just after the
@operations began testing.  Perhaps in your capacity as all knowing
@pundit, you could explain the coincidence?
@
@
@> As a verification that such a transfer can be accomplished smoothly and
@> without interruption to the operational service, a test is being
@> performed to rearrange the flow of root zone information.  Once this
@> test is completed the arrangements may revert to the previous
@> arrangements.
@>
@> 	Cook: This verification I am told is *not* a matter of technical
@> 	concern or doubt.  It is simply doable.  From a technical point
@>       of view there is no need for a test.
@
@Goodness gracious, you need a bit more experience in operations as an
@engineer.  Speaking in my ISP role, I don't make as small a change as
@upgrading a mail server without checking that I can run from the backup
@version, and of course we check that we can run off the DNS secondary
@(by deliberately taking down the primary) at least once a month!  Sure,
@it better be doable.  Trust, but verify.... ;-)
@
<snip>

OK, I gather that you are claiming that the IETF is now
doing some well-known and pre-announced engineering tests.

Most "engineering" organizations have several facilities where
testing can be done without endangering the running system.
Most engineers have been trained not to experiment with systems
that people depend upon. They could put people at risk.

One of the reasons why the various Root Name Server Confederations
was set up was to allow people to do testing in parallel with
the legacy Internet. Has the IETF used those facilities ?

Can you review the IETF's policies for testing on the live
Internet vs. special test facilities ?

Also, can you review the IETF's OPEN schedules for doing
this testing ? Have announcements been made on this mailing
list or others, such as NANOG about this "testing" ?

Jim Fleming
Unir Corporation
IBC, Tortola, BVI